
-- | A text rendering and typesetting library for OpenGL.
--
-- It is enough to import this module to use the library.
--
-- There is an example program (@example-STIX.hs@) in the example subdirectory
-- illustrating how to use it.
--

module Graphics.Rendering.MiniTypeset 
  ( module Graphics.Rendering.MiniTypeset.Common
    -- * Boxes
  , module Graphics.Rendering.MiniTypeset.Box
    -- * \"Multifonts\"
  , UserFontConfig(..) , MultiFont , newMultiFont , MultiFontGlyph
    -- * Layout
  , Document(..)
  , Layout(..)
  , createLayout, createLayout'
  , dryrunLayout, renderLayout, renderLayout'
    -- * Rendering
  , module Graphics.Rendering.MiniTypeset.Render
  )
  where

--------------------------------------------------------------------------------

import Graphics.Rendering.MiniTypeset.Box
import Graphics.Rendering.MiniTypeset.Common hiding ( mapAccumM )
import Graphics.Rendering.MiniTypeset.Layout
import Graphics.Rendering.MiniTypeset.FontTexture
import Graphics.Rendering.MiniTypeset.MultiFont
import Graphics.Rendering.MiniTypeset.Render

--------------------------------------------------------------------------------